Subject: bug#8947: 24.0.50; `describe-mode': `help-mode-map' pollutes minor mode descriptions

From: Michael Heerdegen <[email-masked]>
Date: Sun, 01 May 2016 22:20:22 +0200

Drew Adams <[email-masked]> writes:

> The recipe I gave was this:
>
>   emacs -Q
>  
>   Visit any *.el file, hit `C-h m', then search for `Transient'
>   ^^^^^^^^^^^^^^^^^^^
>   in *Help*.  The help for `transient-mark-mode' says this:
>  
>   "...for example, incremental search, <, and >."
>
> And I explained the cause: The doc for `transient-mark-mode'
> is being picked up after *Help* has become the current buffer.
> That is not the correct behavior.

I agree.  I can reproduce this, and your explanation makes sense.

Michael.